#
# spec file for package ghc-iproute
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name iproute
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.7.1
Release:        8.1
Summary:        IP Routing Table
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-appar-devel
BuildRequires:  ghc-byteorder-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-rpm-macros
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-safe-devel
%endif

%description
IP Routing Table is a tree of IP ranges to search one of them on the longest
match base. It is a kind of TRIE with one way branching removed. Both IPv4 and
IPv6 are supported.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Oct 17 2016 psimons@suse.com
- Update to version 1.7.1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.7.0 revision 0 with cabal2obs.
* Tue Dec 15 2015 mimi.vx@gmail.com
- update to 1.7.0
* Sat Sep 12 2015 mimi.vx@gmail.com
- update to 1.6.0
* Sat Sep 12 2015 mimi.vx@gmail.com
- initial commit
